package eclipse.swt.SWTTipOfTheDay.model;

/**
 * Default Tip implementation.
 * 
 * Based on SwingX project (http://swinglabs.org/) 
 * Original author Frederic Lavigne (fred@L2FProd.com)
 */
public class DefaultTip implements Tip {

	private String name;
	private Object tip;

	public DefaultTip() {
	}

	public DefaultTip(String name, Object tip) {
		this.name = name;
		this.tip = tip;
	}

	public Object getTip() {
		return tip;
	}

	public void setTip(Object tip) {
		this.tip = tip;
	}

	public String getTipName() {
		return name;
	}

	public void setTipName(String name) {
		this.name = name;
	}

	@Override
	public String toString() {
		return getTipName();
	}
}